import request from '@/utils/request'

// 查询添加对比记录列表
export function listContrastRecord(query) {
  return request({
    url: '/mall/contrastRecord/list',
    method: 'get',
    params: query
  })
}

// 查询添加对比记录详细
export function getContrastRecord(recordId) {
  return request({
    url: '/mall/contrastRecord/' + recordId,
    method: 'get'
  })
}

// 新增添加对比记录
export function addContrastRecord(data) {
  return request({
    url: '/mall/contrastRecord',
    method: 'post',
    data: data
  })
}

// 修改添加对比记录
export function updateContrastRecord(data) {
  return request({
    url: '/mall/contrastRecord',
    method: 'put',
    data: data
  })
}

// 删除添加对比记录
export function delContrastRecord(recordId) {
  return request({
    url: '/mall/contrastRecord/' + recordId,
    method: 'delete'
  })
}
